org.apache.storm.perf.utils

## Enum BasicMetricsCollector.MetricsItem

- java.lang.Object
- - java.lang.Enum<BasicMetricsCollector.MetricsItem>
  - - org.apache.storm.perf.utils.BasicMetricsCollector.MetricsItem

- All Implemented Interfaces:
    Serializable, Comparable<BasicMetricsCollector.MetricsItem>
  Enclosing class:
    BasicMetricsCollector

      public static enum BasicMetricsCollector.MetricsItem
      extends Enum<BasicMetricsCollector.MetricsItem>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `SPOUT_LATENCY`
    `SPOUT_THROUGHPUT`
    `TOPOLOGY_STATS`
    `XSFER_RATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BasicMetricsCollector.MetricsItem` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BasicMetricsCollector.MetricsItem[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOPOLOGY_STATS

          public static final BasicMetricsCollector.MetricsItem TOPOLOGY_STATS

    - #### XSFER_RATE

          public static final BasicMetricsCollector.MetricsItem XSFER_RATE

    - #### SPOUT_THROUGHPUT

          public static final BasicMetricsCollector.MetricsItem SPOUT_THROUGHPUT

    - #### SPOUT_LATENCY

          public static final BasicMetricsCollector.MetricsItem SPOUT_LATENCY

    - #### ALL

          public static final BasicMetricsCollector.MetricsItem ALL

  - ### Method Detail

    - #### values

          public static BasicMetricsCollector.MetricsItem[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BasicMetricsCollector.MetricsItem c : BasicMetricsCollector.MetricsItem.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BasicMetricsCollector.MetricsItem valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Apache Software Foundation. All rights reserved.